[arch-commits] Commit in xine-lib/trunk (ChangeLog PKGBUILD)

Eric Belanger eric at archlinux.org
Tue Jul 29 21:54:49 EDT 2008


    Date: Tuesday, July 29, 2008 @ 21:54:49
  Author: eric
Revision: 7319

upgpkg: xine-lib 1.1.14-2
    Switched to the more recent externel ffmpeg snapshot (close FS#10286), Updated win32 codecs directory location (close FS#11011), Added ChangeLog

Added:
  xine-lib/trunk/ChangeLog
Modified:
  xine-lib/trunk/PKGBUILD

-----------+
 ChangeLog |    6 ++++++
 PKGBUILD  |   24 +++++++++++++-----------
 2 files changed, 19 insertions(+), 11 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-07-30 01:54:49 UTC (rev 7319)
@@ -0,0 +1,6 @@
+2008-07-28  Eric Belanger  <eric at archlinux.org>
+
+	* xine-lib 1.1.14-2
+	* Switched to the more recent externel ffmpeg snapshot (close FS#10286)
+	* Updated win32 codecs directory location (close FS#11011)
+	* Added ChangeLog

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-30 00:46:54 UTC (rev 7318)
+++ PKGBUILD	2008-07-30 01:54:49 UTC (rev 7319)
@@ -1,35 +1,37 @@
 # $Id$
-# Maintainer: Aaron Griffin <aaron at archlinux.org> 
-# Committer: Judd Vinet <jvinet at zeroflux.org>
+# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
 
 pkgname=xine-lib
 pkgver=1.1.14
-pkgrel=1
+pkgrel=2
 pkgdesc="A free video player for Unix"
 arch=('i686' 'x86_64')
 url="http://xinehq.de/"
 license=('LGPL' 'GPL')
 depends=('libgl' 'libxvmc' 'esd' 'flac>=1.1.4' 'libvorbis' 'sdl' 'libmng' 'libtheora'
-         'libxcb' 'wavpack')
+         'libxcb' 'wavpack' 'ffmpeg>=20080715')
 makedepends=('pkgconfig' 'libtool' 'automake' 'autoconf' 'imagemagick' 
              'smbclient' 'mesa' 'alsa-lib' 'vcdimager')
+options=('!libtool')
 source=(http://downloads.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.bz2
         xine-lib-1.1.1-configure-no-mcpu-march.patch)
 md5sums=('5b2edc264ddad48c65e0c03e009aa693' '9776df4eb54d2f1f68d8268adbc3b5c2')
-options=('!libtool')
+sha1sums=('8dfe071865ebdb0cfe2f5ce287485bb5ed7c6978' '121a8358d7919b2e51067412373f52848290338a')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np0 -i ${startdir}/src/xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np0 -i ../xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
   libtoolize --force --copy || return 1
-  aclocal -I m4|| return 1
+  aclocal -I m4 || return 1
   autoconf || return 1
   automake --add-missing || return 1
 
-  ./configure --prefix=/usr --with-w32-path=/usr/lib/win32 \
+  ./configure --prefix=/usr --with-w32-path=/usr/lib/codecs \
     --with-xv-path=/usr/lib --with-libflac --with-wavpack \
     --without-arts --without-jack --without-speex \
-    --disable-gnomevfs --without-pulseaudio --disable-aalib --disable-modplug
+    --disable-gnomevfs --without-pulseaudio --disable-aalib \
+    --disable-modplug --with-external-ffmpeg || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }





More information about the arch-commits mailing list